namespace eval TestItem {
    proc QueryQuest { obj player questid } {
        if {[GetQFlag $player "Q$questid"] == 0} {
            if { [GetQuestStatus $player $questid] == 1 } {
                 SendQuestReward $player $obj $questid
            } else {
                 SendQuestDetails $player $obj $questid
            }
        } else {
            SendGossip $player $obj { text 6 "Already completed quest." }
        }
    }
    proc QuestAccept { obj player questid } {
    }
    proc QuestChooseReward { obj player questid choose } {
        SetQFlag $player "Q$questid"
    }
}

